> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# sendTransaction (Sender)

> Helius, Jito, Harmonic, Rakurai 등을 통한 다중 경로 라우팅으로 초저지연 트랜잭션 제출.

## 요청 매개변수

<ParamField body="swqos_only" type="boolean" default="false">
  true인 경우, SWQOS 인프라를 통해서만 라우트되지만, 최소 팁 요구사항이 낮습니다.
</ParamField>

<ParamField body="mev-protect" type="boolean" default="false">
  true인 경우, 샌드위치 공격에 통계적으로 연결된 검증인으로부터 트랜잭션을 라우트합니다. 요청마다 옵트인.
</ParamField>

<ParamField body="transaction" type="string" required>
  base64로 인코딩된 트랜잭션입니다.
</ParamField>

<ParamField body="encoding" type="string">
  Solana 트랜잭션 페이로드에 사용되는 데이터 인코딩 형식입니다.

  * `base58`
  * `base64`
</ParamField>

<ParamField body="skipPreflight" type="boolean">
  true인 경우, 더 빠른 제출을 위해 Solana의 프리플라이트 트랜잭션 검증을 무시합니다. 선택 사항 — Sender는 프리플라이트 검사를 지원합니다.
</ParamField>

<ParamField body="maxRetries" type="number">
  자동 재시도 최대 횟수입니다. 0으로 설정해야 합니다.
</ParamField>


## OpenAPI

````yaml ko/openapi/sender-api/sendTransaction.yaml POST /fast
openapi: 3.1.0
info:
  title: Helius Sender API
  version: 1.0.0
  description: Helius, Jito, Harmonic, Rakurai 등 다중 경로 라우팅을 통해 초저지연 Solana 트랜잭션 제출.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://sender.helius-rpc.com
    description: 글로벌 HTTPS 엔드포인트(프론트엔드 응용 프로그램용)
  - url: http://slc-sender.helius-rpc.com
    description: 솔트레이크 시티
  - url: http://ewr-sender.helius-rpc.com
    description: 뉴어크
  - url: http://lon-sender.helius-rpc.com
    description: 런던
  - url: http://fra-sender.helius-rpc.com
    description: 프랑크푸르트
  - url: http://ams-sender.helius-rpc.com
    description: 암스테르담
  - url: http://sg-sender.helius-rpc.com
    description: 싱가포르
  - url: http://tyo-sender.helius-rpc.com
    description: 도쿄
security: []
paths:
  /fast:
    post:
      tags:
        - Sender
      summary: sendTransaction
      description: >
        Helius, Jito, Harmonic, Rakurai 등 다중 경로 라우팅을 통해 초저지연 트랜잭션 제출을 위한 Helius
        Sender를 통해 트랜잭션 제출.
      operationId: sendTransaction
      parameters:
        - name: api-key
          in: query
          required: false
          schema:
            type: string
          description: 표준 사용자는 API 키가 필요하지 않습니다. 사용자 지정 TPS 제한이 있는 사용자만 API 키를 제공해야 합니다.
        - name: swqos_only
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: true인 경우 SWQOS 인프라를 통해 독점적으로 라우팅되지만 최소 팁 요구 사항은 낮습니다.
        - name: mev-protect
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: true인 경우 샌드위치 공격과 통계적으로 연결된 검증인을 피하여 트랜잭션을 라우팅합니다. 요청당 옵트인.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jsonrpc:
                  type: string
                  enum:
                    - '2.0'
                  description: JSON-RPC 프로토콜 버전.
                  example: '2.0'
                  default: '2.0'
                id:
                  type: string
                  description: 요청의 고유 식별자.
                  example: '1'
                  default: '1'
                method:
                  type: string
                  enum:
                    - sendTransaction
                  description: 호출할 RPC 메서드의 이름.
                  example: sendTransaction
                  default: sendTransaction
                params:
                  type: array
                  description: Sender를 통해 트랜잭션을 보내기 위한 매개변수.
                  default:
                    - >-
                      Ab/WBgJxCprwWlK2fCxSwm9KrWlJQW8TdnYqXMvg5KropeLqHaa5yJeoWUb+LsGi6zlfs1Z/jA/RgJW++tBhPAKAAQACBGuePYZrXq9Jj+DwkquiMvsrNU5rlcAbmRfuAYui/CwAQr437DqfrFoSt1BSgM/2/0Iqja1QMefnu1hTYX96AA0DBkZv5SEXMv/srbpyw5vnvIzlu8X3EmssQ5s6QAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAhWHa4WfUT12o+cyi2WGwfBvngyurXf5VQd4Ukn+5ZSIDAgAFAqCGAQACAAkDQA0DAAAAAAADAgABDAIAAABAQg8AAAAAAAA=
                    - encoding: base64
                      skipPreflight: true
                      maxRetries: 0
                  items:
                    oneOf:
                      - type: string
                        description: base64로 인코딩된 트랜잭션.
                      - type: object
                        description: 트랜잭션 제출을 위한 구성 옵션.
                        properties:
                          encoding:
                            type: string
                            description: Solana 트랜잭션 페이로드에 사용되는 데이터 인코딩 형식.
                            enum:
                              - base58
                              - base64
                            example: base64
                          skipPreflight:
                            type: boolean
                            description: >-
                              true이면 Solana의 사전 비행 트랜잭션 검증을 우회하여 더 빠른 제출이 가능합니다.
                              선택 사항 — Sender는 사전 비행 검사를 지원합니다.
                            example: false
                          maxRetries:
                            type: integer
                            description: 최대 자동 재시도 횟수. 0으로 설정해야 합니다.
                            example: 0
      responses:
        '200':
          description: 트랜잭션이 성공적으로 제출되었습니다. 200 응답은 트랜잭션이 유효하거나 체인에 기록될 것임을 보장하지 않습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    description: JSON-RPC 프로토콜 버전.
                    enum:
                      - '2.0'
                    example: '2.0'
                  id:
                    type: string
                    description: 요청과 일치하는 식별자.
                    example: '1'
                  result:
                    type: string
                    description: 확인 상태 추적을 위한 트랜잭션 서명.
                    example: >-
                      4qTLpN1sBrp5SzZUKfrSH2897FmxA7AB4EbN4ccgSgEjG9RG2686pSKWhEbz65q4bvaRsdpKRJKZ3dkdGZA78u5s
              example:
                jsonrpc: '2.0'
                id: '1'
                result: >-
                  4qTLpN1sBrp5SzZUKfrSH2897FmxA7AB4EbN4ccgSgEjG9RG2686pSKWhEbz65q4bvaRsdpKRJKZ3dkdGZA78u5s
        '400':
          description: 잘못된 요청 - 누락된 팁, 우선 수수료 또는 잘못된 제출 매개변수.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                jsonrpc: '2.0'
                error:
                  code: -32602
                  message: 잘못된 요청
                id: '1'
        '429':
          description: 요청이 너무 많음 - 레이트 제한 초과.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                jsonrpc: '2.0'
                error:
                  code: -32005
                  message: 요청이 너무 많습니다
                id: '1'
        '500':
          description: 내부 서버 오류 - 서버에서 오류가 발생했습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                jsonrpc: '2.0'
                error:
                  code: -32603
                  message: 내부 오류
                id: '1'
        '503':
          description: 서비스 이용 불가 - 서비스가 일시적으로 사용할 수 없습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                jsonrpc: '2.0'
                error:
                  code: -32002
                  message: 서비스 불가
                id: '1'
        '504':
          description: 게이트웨이 타임아웃 - 요청이 시간 초과되었습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                jsonrpc: '2.0'
                error:
                  code: -32003
                  message: 게이트웨이 시간 초과
                id: '1'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        jsonrpc:
          type: string
          description: JSON-RPC 프로토콜 버전.
          enum:
            - '2.0'
          example: '2.0'
        error:
          type: object
          properties:
            code:
              type: integer
              description: 오류 코드.
              example: -32602
            message:
              type: string
              description: 오류 메시지.
            data:
              type: object
              description: 오류에 대한 추가 데이터.
        id:
          type: string
          description: 요청과 일치하는 식별자.
          example: '1'

````